<?php
	/**********************************************
	SET MAXIMUM CONTENT WIDTH
	***********************************************/

	if ( ! isset( $content_width ) ) 
		$content_width = 1920;


	/**********************************************
	INCLUDED FILES
	***********************************************/

	include get_template_directory() . '/includes/mabuc-panel/main.php';
	include get_template_directory() . '/includes/custom/custom-posts.php';
	include get_template_directory() . '/includes/custom/custom-fields.php';
	include get_template_directory() . '/includes/tgm/activation.php';
	

	/**********************************************
	REGISTER STYLES AND SCRIPTS
	***********************************************/

	function fashion_script_styles_reg () {
		wp_register_style( 'style', get_stylesheet_directory_uri() . '/style.css' );	
		wp_register_style( 'responsive', get_stylesheet_directory_uri() . '/responsive.css' );	
		wp_register_style( 'dosis', 'http://fonts.googleapis.com/css?family=Dosis:200,300,400,500,600,700,800&subset=latin,latin-ext' );	
		wp_register_style( 'open-sans', 'http://fonts.googleapis.com/css?family=Open+Sans:300italic,400italic,600italic,700italic,800italic,400,300,600,700,800&subset=latin,cyrillic-ext,latin-ext,cyrillic,greek-ext,greek,vietnamese' );	
		wp_register_script( 'tipsy', get_template_directory_uri() . '/js/tipsy/jquery.tipsy.js', array(), '', true );
		wp_register_script( 'jplayer', get_template_directory_uri() . '/js/jplayer/jquery.jplayer.min.js', array(), '', true );
		wp_register_script( 'menu-slide', get_template_directory_uri() . '/js/menu-slide.js', array(), '', true );	
		wp_register_script( 'menu-no-slide', get_template_directory_uri() . '/js/menu-no-slide.js', array(), '', true );
		wp_register_style( 'view', get_template_directory_uri() . '/css/view.css' );
		wp_register_style( 'effects', get_template_directory_uri() . '/css/effects.css' );
		wp_register_script( 'mobile-menu', get_template_directory_uri() . '/js/jquery.menu.js', array(), '', true );
		wp_register_script( 'easing', get_template_directory_uri() . '/js/jquery.easing-1.3.min.js', array(), '', true );
		wp_register_script( 'toggle-category', get_template_directory_uri() . '/js/toggle-category.js', array(), '', true );
		
		/*SUPERFISH DROPDOWN MENU*/
		wp_register_style( 'superfish-style', get_template_directory_uri() . '/js/superfish/superfish.css' );	
		wp_register_script( 'superfish', get_template_directory_uri() . '/js/superfish/jquery.superfish.min.js', array(), '', true );	

		/*SCROLLPANE*/
		wp_register_style( 'scrollpane-style', get_template_directory_uri() . '/js/scrollpane/jquery.mCustomScrollbar.css' );	
		wp_register_script( 'scrollpane-mouse', get_template_directory_uri() . '/js/scrollpane/jquery.mousewheel.min.js', array(), '', true );
		wp_register_script( 'scrollpane', get_template_directory_uri() . '/js/scrollpane/jquery.mCustomScrollbar.min.js', array(), '', true );
		wp_register_script( 'scrollpane-custom', get_template_directory_uri() . '/js/scrollpane/mCustomScrollbar.js', array(), '', true );

		/*FANCYBOX*/
		wp_register_style( 'fancybox-style', get_template_directory_uri() . '/js/fancybox/jquery.fancybox-1.3.4.css' );	
		wp_register_script( 'fancybox', get_template_directory_uri() . '/js/fancybox/jquery.fancybox-1.3.4.pack.js', array(), '', true );

		/*FLEXSLIDER*/
		wp_register_style( 'flexslider-style', get_template_directory_uri() . '/js/flexslider/flexslider.css' );		
		wp_register_script( 'flexslider', get_template_directory_uri() . '/js/flexslider/jquery.flexslider-min.js', array(), '', true );		

		/*SUPERSIZE*/
		wp_register_style( 'supersize-style', get_template_directory_uri() . '/js/supersized/supersized.css' );		
		wp_register_style( 'supersize-theme-style', get_template_directory_uri() . '/js/supersized/theme/supersized.shutter.css' );		
		wp_register_script( 'supersize', get_template_directory_uri() . '/js/supersized/supersized.3.2.7.min.js' );	
		wp_register_script( 'supersize-shutter', get_template_directory_uri() . '/js/supersized/theme/supersized.shutter.min.js' );	

		/*TOUCHTOUCH*/
		wp_register_style( 'touch-style', get_template_directory_uri() . '/js/touchTouch/touchTouch.css' );	
		wp_register_script( 'touch', get_template_directory_uri() . '/js/touchTouch/touchTouch.jquery.js', array(), '', true );	

		/*HTML5 VIDEO PLAYER*/
		wp_register_style( 'videojs-css', get_template_directory_uri() . '/js/video/video-js.css' );	
		wp_register_script( 'videojs', get_template_directory_uri() . '/js/video/video.js', array(), '', true );

		/*GOOGLE MAP*/
		wp_register_script( 'gmap-sensor', 'http://maps.google.com/maps/api/js?sensor=true' );
		wp_register_script( 'gmap', get_template_directory_uri() . '/js/gmaps.js' );


		/*ENQUEUE SCRIPT*/
		wp_enqueue_script( 'jquery' );
		wp_enqueue_script( 'jquery-ui-draggable' );
		wp_enqueue_script( 'jplayer' );
		wp_enqueue_style( 'style' );
		wp_enqueue_style( 'dosis' );
		wp_enqueue_style( 'open-sans' );
		wp_enqueue_style( 'superfish-style' );
		wp_enqueue_script( 'superfish' );
		wp_enqueue_script( 'tipsy' );
		wp_enqueue_script( 'easing' );

		if (is_singular()) wp_enqueue_script( 'comment-reply' );

		if(get_option('fas_bg_type')!="Video") {
			wp_enqueue_style( 'supersize-style' );
			wp_enqueue_style( 'supersize-theme-style' );
			wp_enqueue_script( 'supersize' );
			wp_enqueue_script( 'supersize-shutter' );
		}

		if(!is_front_page()) {
			wp_enqueue_style( 'scrollpane-style' );
			wp_enqueue_script( 'scrollpane-mouse' );
			wp_enqueue_script( 'scrollpane' );
			wp_enqueue_script( 'scrollpane-custom' );
			wp_enqueue_script( 'scrollpane-mobile' );
			wp_enqueue_script( 'menu-no-slide' );			
		}

		if(is_page_template('template-gallery.php') || taxonomy_exists('gallery_categories')) {
			wp_enqueue_style( 'view' );
			wp_enqueue_style( 'effects' );
			wp_enqueue_style( 'fancybox-style' );
			wp_enqueue_script( 'fbox-easing' );
			wp_enqueue_script( 'fancybox' );
		}

		if(is_page_template('template-contact.php')) {
			wp_enqueue_script( 'gmap-sensor' );
			wp_enqueue_script( 'gmap' );
			add_action( 'wp_head', 'fas_google_map' );
		}
		
		if(is_page_template('template-blog.php') || is_archive() || is_page_template('template-gallery.php') || taxonomy_exists('gallery_categories')) {
			wp_enqueue_script( 'toggle-category' );
		}		

		if(is_single()) {
			if(get_option('fas_gallery_phover_link') == "Url") {
				wp_enqueue_style( 'touch-style' );
				wp_enqueue_script( 'touch' );
			}
			wp_enqueue_style( 'videojs-css' );
			wp_enqueue_script( 'videojs' );
		}

		if(is_singular('gallery')) {
			wp_enqueue_style( 'videojs-css' );
			wp_enqueue_script( 'videojs' );
		}

		if(is_front_page()) {
			if(get_option('fas_menu_open')!='true') {
				wp_enqueue_script( 'menu-slide' );
			}else {
				wp_enqueue_script( 'menu-no-slide' );
			}
		}

		if(get_option('fas_site_layout') != "true") {
			wp_enqueue_style( 'responsive' );
			wp_enqueue_script( 'mobile-menu' );
		}

	}
	add_action( 'wp_enqueue_scripts', 'fashion_script_styles_reg' );


	/**********************************************
	CHANGE DEFAULT SITE TITLE 
	***********************************************/

	function change_default_site_title( $title ){
		$screen = get_current_screen();
		if('gallery' == $screen->post_type) {
			$title = 'Enter Name';
		}
		return $title;
	}

	add_filter( 'enter_title_here', 'change_default_site_title' );


	/**********************************************
	MAIN MENU FALLBACK
	***********************************************/

	function menu_fallback() {
		if(is_front_page()){ $class="current_page_item"; }
		?>
		<div class="menu" id="dropdown">
			<ul class="sf-menu clear">
				<li class="<?php echo $class; ?>"><a href="<?php echo home_url(); ?>"><?php _e( 'Home', ENGINE_THEME_NAME ); ?></a></li>
				<?php wp_list_pages( 'title_li=&sort_column=menu_order' ); ?>
			</ul>
		</div>
		<?php
	}


	/**********************************************
	GOOGLE MAP
	***********************************************/

	function fas_google_map() {
		$lat = get_option('fas_map_lat');
		$lng = get_option('fas_map_lng');
		$marker_tip = get_option('fas_map_marker');
		$marker_window = get_option('fas_map_window');
		$fas_map_zoom = get_option('fas_map_zoom');
		?>
		<script type="text/javascript">
			(function($) {
			  	"use strict";
			  	var map;
			    $(document).ready(function(){
			    	map = new GMaps({
				        div: '#map',
				        lat: <?php if($lat == "") { echo "-12.043333"; }else { echo $lat; } ?>,
							lng: <?php if($lng == "") { echo "-77.028333"; }else { echo $lng; } ?>,
							zoom: <?php if($fas_map_zoom!="") : echo $fas_map_zoom; else : echo "8"; endif ?>
			      	});
			      	map.addMarker({
				        lat: <?php if($lat == "") { echo "-12.043333"; }else { echo $lat; } ?>,
							lng: <?php if($lng == "") { echo "-77.028333"; }else { echo $lng; } ?>,
				        title: '<?php if($marker_tip == "") { echo "Add your marker title window"; }else { echo $marker_tip; } ?>',
				        infoWindow: {
					    	content: '<p><?php if($marker_window == "") { echo "Please add your text marker here"; }else { echo $marker_window; } ?></p>'
					    }
			      	});
			    });
			})(jQuery);					
		</script><?php
	}


	/**********************************************
	POST FORMATS
	***********************************************/

	add_theme_support('post-formats', array( 'image', 'video' )); // aside, chat, gallery, image, link, quote, status, video, audio


	/**********************************************
	THEME SUPPORTS, EDITOR AND BACKGROUND
	***********************************************/

	add_theme_support( 'automatic-feed-links' );


	/**********************************************
	CUSTOM MENUS
	***********************************************/
	
	add_action( 'init', 'register_my_menus' );
	function register_my_menus() {
		register_nav_menus(
			array(
				'primary-menu' => 'Primary Menu',				
			)
		);
	}


	/**********************************************
	SUPPORT SHORTCODES IN WIDGETS
	***********************************************/

	add_filter('widget_text', 'do_shortcode');


	/**********************************************
	LANGUAGE LOCALIZATION
	***********************************************/

	define('ENGINE_THEME_NAME', 'fashion_lang');

	add_action('after_setup_theme', 'language_setup');
	function language_setup(){		
		load_theme_textdomain(ENGINE_THEME_NAME, get_template_directory() . '/lang');
	}
	

	/**********************************************
	POST THUMBNAIL
	***********************************************/

	if ( function_exists( 'add_theme_support' ) ) { 
		add_theme_support( 'post-thumbnails', array( 'post', 'gallery' ) );
		set_post_thumbnail_size( 257, 165, true ); 
		add_image_size( 'blog-large', 654, 335, true );
		add_image_size( 'gallery-thumb', 293, 176, true ); 
		add_image_size( 'gallery-large', 613, 448, true );		
	}


	/**********************************************
	BACKGROUND AUDIO
	***********************************************/

	function audio_bg() {		
		if(is_front_page()) {
			if(get_option('fas_bg_audio') != "") {
				?>
				<script type="text/javascript">	
					(function($) {
					  	"use strict";
					  	$(document).ready(function(){
							$("#audio_player").jPlayer({
						  		ready: function () {
						   			$(this).jPlayer("setMedia", {
						   				mp3: "<?php echo get_option('fas_bg_audio'); ?>"
						   			}).jPlayer("play");				   			
								},								
								<?php
									if(get_option('fas_audio_loop')=="true") {
										?>ended: function() { $(this).jPlayer("play"); }, <?php		
									} 
								?>											
							  	swfPath: "<?php echo get_template_directory_uri(); ?>/js/jplayer/",
							  	supplied: "mp3"
					 		});
						});
					})(jQuery);					
				</script> 
				<?php
			}
		}
	}
	add_action( 'wp_head', 'audio_bg' );

	
	/**********************************************
	GET PAGE FUNCTION
	***********************************************/
	
	function get_page_name($page_name, $output = OBJECT) {
		global $wpdb;
		$page = $wpdb->get_var( $wpdb->prepare( "SELECT ID FROM $wpdb->posts WHERE post_name = %s AND post_type='page'", $page_name ));
		if ( $page )
			return get_page($page, $output);

		return null;
	}


	/**********************************************
	GET PAGES LINK
	***********************************************/

	function gallery_link() {
		global $gallery_page_url;
		$gallery_pages = get_pages(array('meta_key' => '_wp_page_template', 'meta_value' => 'template-gallery.php'));
		foreach($gallery_pages as $page){
			$gallery_page_id = $page->ID;
			$gallery_page_url = get_permalink($gallery_page_id);
		}
	}

	function blog_link() {
		global $blog_page_url;
		$blog_pages = get_pages(array('meta_key' => '_wp_page_template', 'meta_value' => 'template-blog.php'));
		foreach($blog_pages as $page){
			$blog_page_id = $page->ID;
			$blog_page_url = get_permalink($blog_page_id);
		}
	}


	/**********************************************
	GET EACH POST TAGS
	***********************************************/

	function get_post_tags() {
		global $post;
	    $tags = wp_get_post_tags($post->ID);
	    $list = '';
	    if(!empty($tags)) {
	        $list .= '<div class="scontent tags clear"><ul class="tags">';
	        foreach($tags as $tag) {
	            $list .= '
	            	<li>
	            		<a href="'.esc_attr(get_term_link($tag)).'" class="a-btn">
	            			<span class="a-btn-text">'.$tag->name.'</span>
	            			<span class="a-btn-icon-right">&nbsp;</span>
	            		</a>
	            	</li>
	            ';
	        }
	        $list .= '</ul></div>';
	    }
	    echo $list;
	}


	/**********************************************
	GET BLOG CATEGORIES
	***********************************************/

	function get_blog_category() {
		global $blog_page_url;
		if(get_option('fas_hide_catdrop')!="true") {
			?>
				<div class="cat-toogles">
					<a href="#" class="pfilter">
						<?php if(get_option('fas_blog_cfilter')!="") { echo get_option('fas_blog_cfilter'); } else { _e( 'Categories', ENGINE_THEME_NAME ); } ?> <span>&nbsp;</span>
					</a>		
					<ul class="cat-list">
						<li <?php if(is_page_template('template-blog.php')) { echo "class='current-cat'"; } ?>>
							<a href="<?php echo $blog_page_url; ?>"><?php if(get_option('fas_blog_cat_all')!="") { echo get_option('fas_blog_cat_all'); } else { _e( 'All', ENGINE_THEME_NAME ); } ?></a>
						</li>	
						<?php
							$args = array( 'taxonomy' => 'category', 'style' => 'list', 'title_li' => '', 'hierarchical' => false, 'order' => 'DESC', 'orderby' => 'title' );
							wp_list_categories ( $args );
						?>	
					</ul>
				</div>
			<?php
		}
	}


	/**********************************************
	GET GALLERY CATEGORIES
	***********************************************/

	function cat_toggles() {
		global $link, $gallery_page_url;
		?>
			<div class="cat-toogles">
				<a href="#" class="pfilter">
					<?php if(get_option('fas_gallery_cfilter')!="") { echo get_option('fas_gallery_cfilter'); } else { _e( 'Categories', ENGINE_THEME_NAME ); } ?> <span>&nbsp;</span>
				</a>
				<ul class="cat-list">
					<li <?php if(is_page_template('template-gallery.php')) { echo "class='current-cat'"; } ?>>
						<a href="<?php echo $gallery_page_url; ?>"><?php if(get_option('fas_gallery_cat_all')!="") { echo get_option('fas_gallery_cat_all'); } else { _e( 'All', ENGINE_THEME_NAME ); } ?></a>
					</li>	
					<?php
						$args = array( 'taxonomy' => 'gallery_categories', 'style' => 'list', 'title_li' => '', 'hierarchical' => false, 'order' => 'DESC', 'orderby' => 'title' );
						wp_list_categories ( $args );							
					?>	
				</ul>
			</div>
		<?php
	}

	function get_gallery_category() {
		global $gallery_page_url;
		if(get_option('fas_hide_gallery_drop')!="true") {
			if(get_option('fas_gallery_style') == "Horizontal") {
				if(get_option('fas_gallery_cat_style') == "Inline") {
					?>
						<div class="cat-inline">
							<ul>
								<li <?php if(is_page_template('template-gallery.php')) { echo "class='current-cat'"; } ?>>
									<a href="<?php echo $gallery_page_url; ?>"><?php if(get_option('fas_gallery_cat_all')!="") { echo get_option('fas_gallery_cat_all'); } else { _e( 'All', ENGINE_THEME_NAME ); } ?></a>
								</li>		
								<?php
									$args = array( 'taxonomy' => 'gallery_categories', 'style' => 'list', 'title_li' => '', 'hierarchical' => false, 'order' => 'DESC', 'orderby' => 'title' );
									wp_list_categories ( $args );							
								?>	
							</ul>
						</div>
					<?php
				}else {
					cat_toggles();
				}
			}else {
				cat_toggles();
			}			
		}		
	}
	

	/**********************************************
	LIMIT TEXT CHARACTER
	***********************************************/

	function excerpt($num) {
		$limit = $num+1;
		$excerpt = explode(' ', get_the_excerpt(), $limit);
		array_pop($excerpt);
		$excerpt = implode(" ",$excerpt)."...";
		echo "<p>" . $excerpt . "</p>";
	}

	function content($num) {
		$theContent = get_the_content();
		$output = preg_replace('/<img[^>]+./','', $theContent);
		$limit = $num+1;
		$content = explode(' ', $output, $limit);
		array_pop($content);
		$content = implode(" ",$content)."...";
		echo $content;
	}


	/**********************************************
	CUSTOM EXCERPT LENGTH
	***********************************************/

	function custom_excerpt_length( $length ) {
		return 40;
	}
	add_filter( 'excerpt_length', 'custom_excerpt_length', 999 );

	function custom_excerpt_more( $more ) {
		return ' ...';
	}
	add_filter( 'excerpt_more', 'custom_excerpt_more' );


	/**********************************************
	REMOVE DEFAULT COMMENT FIELDS
	***********************************************/

	add_filter('comment_form_default_fields', 'mytheme_remove_url');
	function mytheme_remove_url($arg) {
	    $arg['url'] = '';
	    return $arg;
	}

	
	/**********************************************
	CUSTOM COMMENT STYLE
	***********************************************/

	function theme_comment($comment, $args, $depth) {
		$GLOBALS['comment'] = $comment; ?>
			
			<li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
				<div class="parent" id="comment-<?php comment_ID(); ?>">
					
					<div class="clear">
						<?php echo get_avatar( $comment, 76 ); ?>
						<div class="comment-details">
							<h6><?php comment_author_link() ?></h6> 
							<span><?php echo human_time_diff( get_comment_time('U'), current_time('timestamp') ) . ' ago'; ?> <?php edit_comment_link('edit','&nbsp;',''); ?> - <?php comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth']))) ?></span>	
							<?php comment_text() ?> 
						</div>
					</div>
					
					<?php 
						if ($comment->comment_approved == '0') : ?>
						<em><?php _e( 'Your comment is awaiting moderation.', ENGINE_THEME_NAME ); ?></em>
					<?php 
						endif; 					
					?>
				</div>	
			
			<?php
				$oddcomment = ( empty( $oddcomment ) ) ? 'class="alt" ' : '';
				paginate_comments_links();
	}

	
	/**********************************************
	OFFSET POST LIMIT
	***********************************************/

	function my_post_limit($limit) {
		global $paged, $myOffset;
		if(empty($paged)) {
			$paged = 1;
		}
		return $limit;	
	}
	
	
	/**********************************************
	CUSTOM PAGINATION
	***********************************************/

	function pagination() {  
		global $wp_query;
		$big = 999999999;
		if($wp_query->max_num_pages == '1' ) {
		}else {
			echo "<div class=\"pagination clear\">";
		}
		echo paginate_links( array(
			'base' => str_replace( $big, '%#%', get_pagenum_link( $big ) ),
			'format' => '?paged=%#%',
			'prev_text' => __( '&laquo;', ENGINE_THEME_NAME ),
    		'next_text' => __( '&raquo;', ENGINE_THEME_NAME ),
			'current' => max( 1, get_query_var('paged') ),
			'total' => $wp_query->max_num_pages,
			'type' => 'list'
		));
		if($wp_query->max_num_pages == '1' ) {
		}else {
			echo "</div>";
		}
	}


	/**********************************************
	SEARCH FILTER : BLOG POST ONLY
	***********************************************/

	function SearchFilter($query) {
	    if ( !$query->is_admin && $query->is_search) {
	         $query->set('post_type', 'post');
	    }
	    return $query;
	}	 
	add_filter('pre_get_posts','SearchFilter');


	/**********************************************
	REMOVE & ADD NEW FIELD IN USER PROFILE
	***********************************************/

	function remove_aim( $contactmethods ) {
		unset($contactmethods['aim']);
		unset($contactmethods['jabber']);
		unset($contactmethods['yim']);
		return $contactmethods;
	}
	add_filter('user_contactmethods','remove_aim',10,1);

	function add_twitter_facebook( $contactmethods ) {
	    $contactmethods['twitter'] = 'Twitter';
	    $contactmethods['facebook'] = 'Facebook';
	    return $contactmethods;
	}
	add_filter('user_contactmethods','add_twitter_facebook',10,1);


	/**********************************************
	ADD POST THUMBNAIL SIZE IN MEDIA UPLOAD
	***********************************************/

	function get_additional_image_sizes() {
		$sizes = array();
		global $_wp_additional_image_sizes;
		if ( isset($_wp_additional_image_sizes) && count($_wp_additional_image_sizes) ) {
			$sizes = apply_filters( 'intermediate_image_sizes', $_wp_additional_image_sizes );
			$sizes = apply_filters( 'get_additional_image_sizes', $_wp_additional_image_sizes );
		}
		return $sizes;
	}

	function additional_image_size_input_fields( $fields, $post ) {
		if ( !isset($fields['image-size']['html']) || substr($post->post_mime_type, 0, 5) != 'image' )
			return $fields;

		$sizes = get_additional_image_sizes();
		if ( !count($sizes) )
			return $fields;

		$items = array();
		foreach ( array_keys($sizes) as $size ) {
			$downsize = image_downsize( $post->ID, $size );
			$enabled = $downsize[3];
			$css_id = "image-size-{$size}-{$post->ID}";
			$label = apply_filters( 'image_size_name', $size );

			$html  = "<div class='image-size-item'>\n";
			$html .= "<input type='radio' " . disabled( $enabled, false, false ) . "name='attachments[{$post->ID}][image-size]' id='{$css_id}' value='{$size}' />\n";
			$html .= "<label for='{$css_id}'>{$label}</label>\n";
			if ( $enabled )
				$html .= "<label for='{$css_id}' class='help'>" . sprintf( "(%d × %d)", $downsize[1], $downsize[2] ). "</label>\n";
			$html .= "</div>";

			$items[] = $html;
		}

		$items = join( "\n", $items );
		$fields['image-size']['html'] = "{$fields['image-size']['html']}\n{$items}";

		return $fields;
	}

	add_filter( 'attachment_fields_to_edit', 'additional_image_size_input_fields', 11, 2 );


	/**********************************************
	REMOVING EMPTY P TAGS IN SHORTCODES
	***********************************************/

	add_filter("the_content", "the_content_filter");
 
	function the_content_filter($content) {	 
		// array of custom shortcodes requiring the fix 
		$block = join("|",array("alert","blockquote","a","ul","li","dropcap","columns","image","tabgroup","tab","toggle","video","googlemap"));	 
		// opening tag
		$rep = preg_replace("/(<p>)?\[($block)(\s[^\]]+)?\](<\/p>|<br \/>)?/","[$2$3]",$content);			
		// closing tag
		$rep = preg_replace("/(<p>)?\[\/($block)](<\/p>|<br \/>)?/","[/$2]",$rep);	 
		return $rep;	 
	}


	/**********************************************
	CROP IMAGE FROM TOP LEFT (POST THUMBNAIL)
	***********************************************/

	function top_image_resize_dimensions( $payload, $orig_w, $orig_h, $dest_w, $dest_h, $crop ){
		if( false ) return $payload;
		if ( $crop ) {
			$aspect_ratio = $orig_w / $orig_h;
			$new_w = min($dest_w, $orig_w);
			$new_h = min($dest_h, $orig_h);		 
			if ( !$new_w ) { $new_w = intval($new_h * $aspect_ratio); }		 
			if ( !$new_h ) { $new_h = intval($new_w / $aspect_ratio); }		 
			$size_ratio = max($new_w / $orig_w, $new_h / $orig_h);		 
			$crop_w = round($new_w / $size_ratio);
			$crop_h = round($new_h / $size_ratio);		 
			$s_x = 0; 
			$s_y = 0; 
		}else {
			$crop_w = $orig_w;
			$crop_h = $orig_h;			 
			$s_x = 0;
			$s_y = 0;		 
			list( $new_w, $new_h ) = wp_constrain_dimensions( $orig_w, $orig_h, $dest_w, $dest_h );
		}		 
		if ( $new_w >= $orig_w && $new_h >= $orig_h ) return false;		 
		return array( 0, 0, (int) $s_x, (int) $s_y, (int) $new_w, (int) $new_h, (int) $crop_w, (int) $crop_h ); 
	}
	add_filter( 'image_resize_dimensions', 'top_image_resize_dimensions', 10, 6 );


	/**********************************************
	INCREASE POST LIMIT IN TAXONOMY
	***********************************************/

	add_filter('post_limits', 'remove_limits' );
	function remove_limits( $limits ) {
		if( is_tax() ) {
	    	return "";
	  	}
	  	return $limits;
	}


	/**********************************************
	ADD CATEGORY/TAXONOMY FIELD
	***********************************************/

	function create_category_fields( $tag ) {    
    	$extra_id = @$tag->term_id;
    	$cat_meta = get_option( "category_$extra_id");
		?>
			<div class="form-field">
				<label for="cat_meta[subtitle]"><?php _e('Subtitle', ENGINE_THEME_NAME); ?></label>
				<input type="text" name="cat_meta[subtitle]" id="cat_meta[subtitle]" value="<?php echo $cat_meta['subtitle'] ? $cat_meta['subtitle'] : ''; ?>">
			    <p><?php _e('This is use in the subtitle of the category', ENGINE_THEME_NAME); ?></p>			        
			</div>
		<?php
	}

	function edit_category_fields( $tag ) {    
    	$extra_id = $tag->term_id;
    	$cat_meta = get_option( "category_$extra_id");
		?>
			<tr class="form-field">
				<th valign="top" scope="row"><label for="cat_meta[subtitle]"><?php _e('Subtitle', ENGINE_THEME_NAME); ?></label></th>
				<td>
					<input type="text" name="cat_meta[subtitle]" id="cat_meta[subtitle]" value="<?php echo $cat_meta['subtitle'] ? $cat_meta['subtitle'] : ''; ?>"> <br>
					<span class="description"><?php _e('This is use in the subtitle of the category', ENGINE_THEME_NAME); ?></span>
				</td>		        
			</tr>
		<?php
	}

	add_action ( 'category_edit_form_fields', 'edit_category_fields');
	add_action ( 'category_add_form_fields', 'create_category_fields');
	add_action ( 'gallery_categories_edit_form_fields', 'edit_category_fields');
	add_action ( 'gallery_categories_add_form_fields', 'create_category_fields');

	function save_extra_category_fields( $term_id ) {
	    if ( isset( $_POST['cat_meta'] ) ) {
	        $extra_id = $term_id;
	        $cat_meta = get_option( "category_$extra_id");
	        $cat_keys = array_keys($_POST['cat_meta']);
	            foreach ($cat_keys as $key){
	            if (isset($_POST['cat_meta'][$key])){
	                $cat_meta[$key] = $_POST['cat_meta'][$key];
	            }
	        }
	        update_option( "category_$extra_id", $cat_meta );        
	    }
	}

	add_action ( 'edited_category', 'save_extra_category_fields');
	add_action ( 'create_category', 'save_extra_category_fields');
	add_action ( 'edited_gallery_categories', 'save_extra_category_fields');
	add_action ( 'create_gallery_categories', 'save_extra_category_fields');


	/**********************************************
	GALLERY HOVER MASK
	***********************************************/

	function hover_mask() {
		?>
		<div class="mask-gallery">
 			<?php
        		if(get_option('fas_gallery_phover_link')=="Lightbox") {
        			?>
        			<a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>" class="frame zoom-gallery"> 
   						<img src="<?php echo get_template_directory_uri(); ?>/img/icons/zoom.png" alt="" title="" />
   					</a>

        			<?php
        		}else {
        			?>
        			<a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>" class="zoom-gallery"> 
   						<img src="<?php echo get_template_directory_uri(); ?>/img/icons/link.png" alt="" title="" />
   					</a>
        			<?php
        		}
        	?>
    	</div>		
		<?php
	}


	/**********************************************
	CUSTOM THEME STYLESHEETS
	***********************************************/

	function theme_custom_styles() {
		?><style type="text/css"><?php
		
		/*CUSTOM COLORS*/

		if(get_option('fas_logo_background')!=""){
			?> .logo { background:<?php echo get_option('fas_logo_background') ?> !important; } <?php
		}
		if(get_option('fas_menu_pointer')!=""){
			?> .plus-menu, .plus-menu span a:link, .plus-menu span a:visited, .plus-menu span a.active { background-color:<?php echo get_option('fas_menu_pointer') ?> !important; } <?php
		}
		if(get_option('fas_header_background')!=""){
			?> .content-title, .blog-title { background-color:<?php echo get_option('fas_header_background') ?> !important; } <?php
		}
		if(get_option('fas_header_text_background')!=""){
			?> .content-title h2 { color:<?php echo get_option('fas_header_text_background') ?> !important; } <?php
		}
		if(get_option('fas_header_subtitle_background')!=""){
			?> .content-title span { color:<?php echo get_option('fas_header_subtitle_background') ?> !important; } <?php
		}
		if(get_option('fas_header_border_background')!=""){
			?> .content-title, .blog-title { border-bottom:1px solid <?php echo get_option('fas_header_border_background') ?> !important; } <?php
		}
		if(get_option('fas_scrollbar_color')!=""){
			?> .mCSB_scrollTools .mCSB_dragger .mCSB_dragger_bar { background:<?php echo get_option('fas_scrollbar_color') ?> !important; } <?php
		}
		if(get_option('fas_social_position')=="Left"){
			?> .social { left:35px !important; } <?php
		}else{
			?> .social { right:35px !important; } <?php
		}
		if(get_option('fas_logo_menu_position')!=""){
			?> .home .logo, .home .plus-menu { top:<?php echo get_option('fas_logo_menu_position') ?> !important; } <?php
		}
		if(get_option('fas_menu_open')=="true") {
			?>
				.home .plus-menu span a:link, .home .plus-menu span a:visited { 
					background:<?php echo get_option('fas_menu_pointer') ?> url('<?php echo home_url(); ?>/wp-content/themes/fashion9/img/minus.png') no-repeat 22px 70px !important; 
				} 
				.home .plus-menu span a.active { 
					background:<?php echo get_option('fas_menu_pointer') ?> url('<?php echo home_url(); ?>/wp-content/themes/fashion9/img/plus.png') no-repeat 22px 60px !important; 
				}			
			<?php
		}
		if(get_option('fas_menu_background')!=""){
			?> .menu { background:<?php echo get_option('fas_menu_background') ?> !important; } <?php
		}

		if(get_option('fas_custom_css')!="") {
			echo get_option('fas_custom_css');
		}

		?></style><?php
	}
	add_action( 'wp_head', 'theme_custom_styles' );


	/**********************************************
	GOOGLE ANALYTICS CODE
	***********************************************/

	add_action('wp_footer', 'fas_google_analytics');
	function fas_google_analytics() {
		if(get_option( 'fas_ga_code' ) != "") :
			echo get_option( 'fas_ga_code' );
		endif;
	}
?>