<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
<meta name="keywords" content="<?php echo get_option('fas_meta_keywords'); ?>" />   
<meta name="description" content="<?php echo get_option('fas_meta_descriptions'); ?>" /> 
<?php
	if(get_option('fas_site_layout') != "true") {
		?><meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" /><?php
	}
?>

<link rel="alternate" type="application/rss+xml" title="<?php bloginfo('name'); ?> RSS Feed" href="<?php bloginfo('rss2_url'); ?>" />
<?php
	if(get_option('fas_favicon') == ""){
		?><link rel="shortcut icon" href="http://www.20script.ir/favicon.ico" /><?php
	}else {
		?><link rel="shortcut icon" href="<?php echo get_option('fas_favicon'); ?>" /><?php
	}
?>

<title><?php bloginfo('name'); ?> | <?php is_front_page() ? bloginfo('description') : wp_title(''); ?></title>
<?php wp_head(); ?>
</head>

<!--[if lt IE 9]>
<script src="//html5shim.googlecode.com/svn/trunk/html5.js"></script>
<![endif]-->

<body <?php body_class(); ?>>

	<?php
		if(get_option('fas_bg_type')=="Video") {
			?>
			<div class="bg-video">
				<iframe width="100%" height="100%" src="<?php echo get_option('fas_bg_video'); ?>" frameborder="0" allowfullscreen></iframe>
			</div>
			<?php
		}else {			
			if(is_front_page()) {
				if(get_option('fas_bg_audio') != "") {
					?><div id="audio_player"></div><?php
				}
			}
		}
	?>
	
	<!--CONTAINER-->
	<div id="container">

		<header>
			
			<?php get_template_part( 'social' ); ?>

			<!--LOGO-->		
			<aside class="logo">
				<h1>
					<a href="<?php echo home_url(); ?>">
						<?php 
							if(get_option('fas_logo') == "") {
								?><img src="<?php echo get_template_directory_uri(); ?>/img/logo.png" alt="<?php bloginfo('name'); ?>" title="<?php bloginfo('name'); ?>" /><?php
							}else {
								?><img src="<?php echo get_option('fas_logo'); ?>" alt="<?php bloginfo('name'); ?>" title="<?php bloginfo('name'); ?>" /><?php
							}
						?>
					</a>
				</h1>
				
				<?php
					if(get_option('fas_bg_type')!="Video") {
						if(!is_front_page()) {
							if(get_option('fas_hide_close')!="true") {
								?>
								<ul class="nav close"><li><a href="<?php echo home_url(); ?>">&nbsp;</a></li></ul>
								<?php
							}					
						}else {
							if(get_option('fas_arrow_nav')!="true") {
								?>
								<ul class="nav">
									<li class="sprev"><a id="prevslide"><?php _e( 'Previous', ENGINE_THEME_NAME ); ?></a></li>
									<li class="snext"><a id="nextslide"><?php _e( 'Next', ENGINE_THEME_NAME ); ?></a></li>
								</ul>
								<?php
							}
						}
					}
				?>
			</aside>

			<!--MENU-->
			<nav>
				<div class="plus-menu clear">
					<span><a href="#" class="">&nbsp;</a></span>
					<?php
						wp_nav_menu( array( 'theme_location' => 'primary-menu', 'fallback_cb' => 'menu_fallback', 'container_class' => 'menu clear', 'container_id' => 'dropdown', 'menu_id' => '', 'menu_class' => 'sf-menu' ) );
					?>
				</div>
			</nav>

			<select class="select-menu"></select>

		</header>

		<?php 
			if(get_option('fas_bg_type')!="Video") { 
				if(get_option('fas_bg_grid_pattern')!="true") {
					?><div class="bg-pattern load-item">&nbsp;</div><?php
				}	
				get_template_part( 'bg-slider' ); 
			} 

			gallery_link();
			blog_link();
		?>	